path: /build/build/libxklavier-x11-libs-5.4.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="introspection vala" emerge x11-libs/libxklavier -pv -t && \
    USE="introspection vala" emerge -j ${JOBS} --nodeps x11-libs/libxklavier
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libxklavier && luet-portage --dir /pkgdir/libxklavier
    x11-libs/libxklavier && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:4394cf53b036fc7dade1bc5d59a2535f607718d25e6f9165c4c3c6a1de1f46f4
  package:
    name: libxklavier
    version: "5.4"
    category: x11-libs
    use_flags:
    - introspection
    - vala
    requires:
    - name: libgee
      version: '>=0'
      category: dev-libs-0.8
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A library for the X Keyboard Extension (high-level API)
    uri:
    - https://www.freedesktop.org/wiki/Software/LibXklavier
    license: LGPL-2
    buildtimestamp: 2023-09-05 08:30:45.921662499 +0000 UTC m=+68.133806889
    labels:
      DEPEND: app-text/iso-codes >=dev-libs/glib-2.62.2:2= dev-libs/libxml2:2= x11-apps/xkbcomp
        x11-libs/libX11:= >=x11-libs/libXi-1.1.3:= x11-libs/libxkbfile:= >=x11-misc/xkeyboard-config-2.4.1-r3
        introspection? ( >=dev-libs/gobject-introspection-1.62.0:= ) vala? ( || (
        dev-lang/vala:0.50 dev-lang/vala:0.48 dev-lang/vala:0.46 dev-lang/vala:0.44
        dev-lang/vala:0.42 dev-lang/vala:0.40 dev-lang/vala:0.36 ) ) >=dev-util/gtk-doc-am-1.4
        sys-devel/gettext virtual/pkgconfig >=app-portage/elt-patches-20170815
      IUSE: +introspection vala
      RDEPEND: app-text/iso-codes >=dev-libs/glib-2.62.2:2= dev-libs/libxml2:2= x11-apps/xkbcomp
        x11-libs/libX11:= >=x11-libs/libXi-1.1.3:= x11-libs/libxkbfile:= >=x11-misc/xkeyboard-config-2.4.1-r3
        introspection? ( >=dev-libs/gobject-introspection-1.62.0:= ) vala? ( || (
        dev-lang/vala:0.50 dev-lang/vala:0.48 dev-lang/vala:0.46 dev-lang/vala:0.44
        dev-lang/vala:0.42 dev-lang/vala:0.40 dev-lang/vala:0.36 ) )
      emerge.packages: x11-libs/libxklavier
      kit: gnome-kit
      original.package.name: x11-libs/libxklavier
      original.package.slot: "0"
      original.package.version: "5.4"
    treedir: /build/packages
  package_dir: /pkgdir/libxklavier
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 0a4f7108081346540bdb0cf7276a831657193d58bfd8d301ca2131bd8da00128
compressiontype: zstd
files:
- usr/include/libxklavier/xkl-enum-types.h
- usr/include/libxklavier/xkl_config_item.h
- usr/include/libxklavier/xkl_config_rec.h
- usr/include/libxklavier/xkl_config_registry.h
- usr/include/libxklavier/xkl_engine.h
- usr/include/libxklavier/xkl_engine_marshal.h
- usr/include/libxklavier/xklavier.h
- usr/lib64/girepository-1.0/Xkl-1.0.typelib
- usr/lib64/libxklavier.so
- usr/lib64/libxklavier.so.16
- usr/lib64/libxklavier.so.16.4.0
- usr/lib64/pkgconfig/libxklavier.pc
- usr/share/doc/libxklavier-5.4/AUTHORS
- usr/share/doc/libxklavier-5.4/CREDITS
- usr/share/doc/libxklavier-5.4/ChangeLog
- usr/share/doc/libxklavier-5.4/NEWS.bz2
- usr/share/doc/libxklavier-5.4/README
- usr/share/gir-1.0/Xkl-1.0.gir
- usr/share/gtk-doc/html/libxklavier/XklConfigItem.html
- usr/share/gtk-doc/html/libxklavier/XklConfigRec.html
- usr/share/gtk-doc/html/libxklavier/XklConfigRegistry.html
- usr/share/gtk-doc/html/libxklavier/ch01.html
- usr/share/gtk-doc/html/libxklavier/ch02.html
- usr/share/gtk-doc/html/libxklavier/home.png
- usr/share/gtk-doc/html/libxklavier/index.html
- usr/share/gtk-doc/html/libxklavier/index.sgml
- usr/share/gtk-doc/html/libxklavier/left.png
- usr/share/gtk-doc/html/libxklavier/libxklavier-xkl-engine.html
- usr/share/gtk-doc/html/libxklavier/libxklavier-xklavier.html
- usr/share/gtk-doc/html/libxklavier/libxklavier.devhelp2
- usr/share/gtk-doc/html/libxklavier/right.png
- usr/share/gtk-doc/html/libxklavier/style.css
- usr/share/gtk-doc/html/libxklavier/up.png
- usr/share/vala/vapi/libxklavier.deps
- usr/share/vala/vapi/libxklavier.vapi
- var/db/pkg/x11-libs/libxklavier-5.4/BUILD_TIME
- var/db/pkg/x11-libs/libxklavier-5.4/CATEGORY
- var/db/pkg/x11-libs/libxklavier-5.4/CBUILD
- var/db/pkg/x11-libs/libxklavier-5.4/CFLAGS
- var/db/pkg/x11-libs/libxklavier-5.4/CHOST
- var/db/pkg/x11-libs/libxklavier-5.4/CONTENTS
- var/db/pkg/x11-libs/libxklavier-5.4/COUNTER
- var/db/pkg/x11-libs/libxklavier-5.4/CXXFLAGS
- var/db/pkg/x11-libs/libxklavier-5.4/DEFINED_PHASES
- var/db/pkg/x11-libs/libxklavier-5.4/DEPEND
- var/db/pkg/x11-libs/libxklavier-5.4/DESCRIPTION
- var/db/pkg/x11-libs/libxklavier-5.4/EAPI
- var/db/pkg/x11-libs/libxklavier-5.4/FEATURES
- var/db/pkg/x11-libs/libxklavier-5.4/HOMEPAGE
- var/db/pkg/x11-libs/libxklavier-5.4/INHERITED
- var/db/pkg/x11-libs/libxklavier-5.4/IUSE
- var/db/pkg/x11-libs/libxklavier-5.4/IUSE_EFFECTIVE
- var/db/pkg/x11-libs/libxklavier-5.4/KEYWORDS
- var/db/pkg/x11-libs/libxklavier-5.4/LDFLAGS
- var/db/pkg/x11-libs/libxklavier-5.4/LICENSE
- var/db/pkg/x11-libs/libxklavier-5.4/NEEDED
- var/db/pkg/x11-libs/libxklavier-5.4/PF
- var/db/pkg/x11-libs/libxklavier-5.4/PROVIDES
- var/db/pkg/x11-libs/libxklavier-5.4/RDEPEND
- var/db/pkg/x11-libs/libxklavier-5.4/REQUIRES
- var/db/pkg/x11-libs/libxklavier-5.4/SIZE
- var/db/pkg/x11-libs/libxklavier-5.4/SLOT
- var/db/pkg/x11-libs/libxklavier-5.4/USE
- var/db/pkg/x11-libs/libxklavier-5.4/environment.bz2
- var/db/pkg/x11-libs/libxklavier-5.4/libxklavier-5.4.ebuild
- var/db/pkg/x11-libs/libxklavier-5.4/repository
package_cacheimage: ""
runtime:
  name: libxklavier
  version: "5.4"
  category: x11-libs
  use_flags:
  - introspection
  - vala
  requires:
  - name: iso-codes
    version: '>=0'
    category: app-text
  - name: gobject-introspection
    version: '>=0'
    category: dev-libs
  - name: libxml2
    version: '>=0'
    category: dev-libs-2
  - name: xkbcomp
    version: '>=0'
    category: x11-apps
  - name: libXi
    version: '>=0'
    category: x11-libs
  - name: xkeyboard-config
    version: '>=0'
    category: x11-misc
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A library for the X Keyboard Extension (high-level API)
  uri:
  - https://www.freedesktop.org/wiki/Software/LibXklavier
  license: LGPL-2
  labels:
    DEPEND: app-text/iso-codes >=dev-libs/glib-2.62.2:2= dev-libs/libxml2:2= x11-apps/xkbcomp
      x11-libs/libX11:= >=x11-libs/libXi-1.1.3:= x11-libs/libxkbfile:= >=x11-misc/xkeyboard-config-2.4.1-r3
      introspection? ( >=dev-libs/gobject-introspection-1.62.0:= ) vala? ( || ( dev-lang/vala:0.50
      dev-lang/vala:0.48 dev-lang/vala:0.46 dev-lang/vala:0.44 dev-lang/vala:0.42
      dev-lang/vala:0.40 dev-lang/vala:0.36 ) ) >=dev-util/gtk-doc-am-1.4 sys-devel/gettext
      virtual/pkgconfig >=app-portage/elt-patches-20170815
    IUSE: +introspection vala
    RDEPEND: app-text/iso-codes >=dev-libs/glib-2.62.2:2= dev-libs/libxml2:2= x11-apps/xkbcomp
      x11-libs/libX11:= >=x11-libs/libXi-1.1.3:= x11-libs/libxkbfile:= >=x11-misc/xkeyboard-config-2.4.1-r3
      introspection? ( >=dev-libs/gobject-introspection-1.62.0:= ) vala? ( || ( dev-lang/vala:0.50
      dev-lang/vala:0.48 dev-lang/vala:0.46 dev-lang/vala:0.44 dev-lang/vala:0.42
      dev-lang/vala:0.40 dev-lang/vala:0.36 ) )
    emerge.packages: x11-libs/libxklavier
    kit: gnome-kit
    original.package.name: x11-libs/libxklavier
    original.package.slot: "0"
    original.package.version: "5.4"
